Get plan by Id
curl --request GET \
--url https://api.zenskar.com/plans/{plan_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/plans/{plan_id}"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/plans/{plan_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"schedule": {
"duration": "<string>",
"start_offset": "P0D",
"trigger_type": "time_based"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"phases": [],
"plan_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"old_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"new_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"diff": {
"additions": [
"<unknown>"
],
"deletions": [
"<unknown>"
],
"updates": [
"<unknown>"
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Plans
Get plan by Id
Retrieve a specific plan by its ID
GET
/
plans
/
{plan_id}
Get plan by Id
Authorizations
Path Parameters
Response
Successful Response
Plan ID
Plan name
Plan Status
Available options:
draft, active Schedule of the plan
Show child attributes
Show child attributes
Plan created at
Plan updated at
Product Description
Plan Phases
Show child attributes
Show child attributes
Plan Version
Show child attributes
Show child attributes